BC_UI.Variables = {}

BC_UI.Variables.Events = {
	"TRAINER_SHOW",
	"PLAYER_REGEN_DISABLED",
	"PLAYER_REGEN_ENABLED",
	"PLAYER_LEVEL_UP",
	"PLAYER_CONTROL_LOST",
	"PLAYER_CONTROL_GAINED",
	"PLAYER_CAMPING",
	"TRADE_SHOW",
	"DUEL_FINISHED",
	"DUEL_REQUESTED",
	"PLAYER_PVP_KILLS_CHANGED",
	"CHAT_MSG_COMBAT_CREATURE_VS_CREATURE_HITS",
	"CHAT_MSG_COMBAT_HOSTILE_DEATH",
	"CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS",
	"CHAT_MSG_COMBAT_CREATURE_VS_SELF_MISSES",
	"CHAT_MSG_COMBAT_SELF_HITS",
	"CHAT_MSG_COMBAT_SELF_MISSES",
	"CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE",
	"CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE",
	"CHAT_MSG_SPELL_CREATURE_VS_SELF_MISSES",
	"CHAT_MSG_SPELL_SELF_DAMAGE",
	"CHAT_MSG_SPELL_SELF_MISSES",
	"CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE",
	"COMBAT_LOG_EVENT",
	"COMBAT_TEXT_UPDATE",
	"PLAYER_TARGET_CHANGED",
	"RAID_TARGET_CHANGED",
	"UNIT_AURA",
	"UNIT_AURASTATE",
	"UNIT_COMBO_POINTS",
	"UNIT_ENERGY",
	"UNIT_FOCUS",
	"UNIT_HAPPINESS",
	"UNIT_HEALTH",
	"UNIT_MANA",
	"UNIT_RAGE",
	"CHAT_MSG_LOOT",
	"LOOT_OPENED",
	"LOOT_CLOSED",
	"CHAT_MSG_COMBAT_PET_HITS",
	"CHAT_MSG_COMBAT_PET_MISSES",
	"CHAT_MSG_SPELL_PET_BUFF",
	"CHAT_MSG_SPELL_PET_DAMAGE",
	"CONFIRM_PET_UNLEARN",
	"LOCALPLAYER_PET_RENAMED",
	"PET_ATTACK_START",
	"PET_ATTACK_STOP",
	"PET_BAR_HIDEGRID",
	"PET_BAR_SHOWGRID",
	"PET_BAR_UPDATE",
	"PET_BAR_UPDATE_COOLDOWN",
	"PET_STABLE_CLOSED",
	"PET_STABLE_SHOW",
	"PET_STABLE_UPDATE_PAPERDOLL",
	"PET_UI_CLOSE",
	"PET_UI_UPDATE",
	"PLAYER_PET_CHANGED",
	"UNIT_HAPPINESS",
	"UNIT_PET",
	"UNIT_PET_EXPERIENCE",
	"UNIT_PET_TRAINING_POINTS",
}

if(GetLocale() == "deDE") then
------------------------------------------------
-- GERMAN  VERSION TEXTS -- Many thanks to Mergan for German translation
------------------------------------------------
	BC_UI.Variables.Labels = {
		Save = "Speichern",
		Delete = "Lschen",
		New = "New",
		Test = "Test",
		Name = "Name",
		Add = "hinzufgen",
		Return = "Return",
		Start = "Start",
		Stop = "Stop",
		OpenWatch = "Find Events",
		SendWatch = "Send to Event Watches",
		Reset = "Reset",

		Categories = "Kategorien",

		Actions = "Aktionen",
		Frequency = "Cry Hufigkeit %",
		Cooldown = "Cooldown\n(seconds)",

		Cries = "Gespeicherte Cry's",

		EditCry = "Edit Cry",
		CryName = "Name des Cry's",
		CryText = "Cry Text",
		Conditions = "Bedingungen",
		Multiplier = "Multiplier",
		Always = "Ignoriere Hufigkeit",
		Exclude = "Exclude",
		Language = "Sprache",
		OutputModes = "Ausgabe Typ",
		Timing = "Cry when Action",

		Conditions = "Conditions",
		Target = "Ziel",
		Variable = "Variable",
		Value = "Wert",
	}

	BC_UI.Variables.Category = {
		Pet = "Tier",
		Custom = "Eigene",
		Event = "Events",
	}

	BC_UI.Variables.OutputModes = { "Sagen", "Emote", "Schreien", "Gruppe", "Raid", "Warning"}

	BC_UI.Variables.Timing = { "Completes", "Starts", "Is Interrupted",}

elseif(GetLocale() == "frFR") then
------------------------------------------------
-- FRENCH  VERSION TEXTS -- Many thanks to Helghast for French translation
------------------------------------------------
	BC_UI.Variables.Labels = {
		Save = "Sauver",
		Delete = "Enlever",
		New = "Nouveau",
		Test = "Tester",
		Name = "Name",
		Add = "Ajouter",
		Return = "Return",
		Start = "Start",
		Stop = "Stop",
		OpenWatch = "Find Events",
		SendWatch = "Send to Event Watches",
		Reset = "Reset",

		Categories = "Catgories",

		Actions = "Actions",
		Frequency = "Frquence des cris en %",
		Cooldown = "Rechargement\n(secondes)",

		Cries = "Cris sauvs",

		EditCry = "Edit Cry",
		CryName = "Nom du cri",
		CryText = "Texte du cri",
		Conditions = "Conditions",
		Multiplier = "Multiplier",
		Always = "Ignorer la frquence",
		Exclude = "Exclure",
		Language = "Langage",
		OutputModes = "Mode d'expression",
		Timing = "Cry when Action",

		Conditions = "Conditions",
		Target = "Cible",
		Variable = "Variable",
		Value = "Valeur",
	}

	BC_UI.Variables.Category = {
		Pet = "Familier",
		Custom = "Personalis",
		Event = "Events",
	}

	BC_UI.Variables.OutputModes = { "Dire", "Emote", "Crier", "Groupe", "Raid", "Avertissement raid"}

	BC_UI.Variables.Timing = { "Completes", "Starts", "Is Interrupted",}

else
	BC_UI.Variables.Labels = {
		Save = "Save",
		Delete = "Delete",
		New = "New",
		Test = "Test",
		Name = "Name",
		Add = "Add",
		Return = "Return",
		Start = "Start",
		Stop = "Stop",
		OpenWatch = "Find Events",
		SendWatch = "Send to Event Watches",
		Reset = "Reset",

		Categories = "Categories",

		Actions = "Actions",
		Frequency = "Frequency %",
		Cooldown = "Cooldown\n(seconds)",

		Cries = "Cries",

		EditCry = "Edit Cry",
		CryName = "Cry Name",
		CryText = "Cry Text",
		Conditions = "Conditions",
		Multiplier = "Multiplier",
		Always = "Ignore Frequency",
		Exclude = "Exclude",
		Language = "Language",
		OutputModes = "Output Mode",
		Timing = "Cry when Action",

		Conditions = "Conditions",
		Target = "Target",
		Variable = "Variable",
		Value = "Value",
	}

	BC_UI.Variables.Category = {
		Pet = "Pet",
		Custom = "Custom",
		Event = "Events",
	}

	BC_UI.Variables.OutputModes = { "Say", "Emote", "Yell", "Group", "Raid", "Warning",}

	BC_UI.Variables.Timing = { "Completes", "Starts", "Is Interrupted",}
end